{ config, lib, pkgs, ... } :
with lib;
let
  cfg = config.local.apps.docs;
in
{
  options.local.apps.docs.enable = mkEnableOption "Doc management tools";
  config = mkIf cfg.enable {
    home.packages = with pkgs; [
      libreoffice-fresh
      okular
      pdfarranger
      xournalpp
    ];
    
    xdg.mimeApps.defaultApplications = {
      "application/pdf" = [ "org.kde.okular.desktop" ];
    };
  };
}
